A portable, open-source, coherent noise-generating library for C++

Main Page | Modules | Class Hierarchy | Class List | File List | Class Members

# noise::model::Cylinder Class Reference
[Models]

`#include <cylinder.h>`

List of all members.

## Detailed Description

Model that defines the surface of a cylinder.

This model returns an output value from a noise module given the coordinates of an input value located on the surface of a cylinder.

To generate an output value, pass the (angle, height) coordinates of an input value to the GetValue() method.

This model is useful for creating:

- seamless textures that can be mapped onto a cylinder

This cylinder has a radius of 1.0 unit and has infinite height. It is oriented along the y axis. Its center is located at the origin.

## Public Member Functions

| Cylinder ()
| Constructor.
| Cylinder (const module::Module &module)
| Constructor.
const module::Module & | GetModule () const
| Returns the noise module that is used to generate the output values.
double | GetValue (double angle, double height) const
| Returns the output value from the noise module given the (angle, height) coordinates of the specified input value located on the surface of the cylinder.
void | SetModule (const module::Module &module)
| Sets the noise module that is used to generate the output values.

## Constructor & Destructor Documentation

Cylinder::Cylinder | ( | const module::Module & | module | ) |

Constructor.

Parameters:

  | module | The noise module that is used to generate the output values.

## Member Function Documentation

const module::Module& noise::model::Cylinder::GetModule | ( |  | ) | const`[inline]`

Returns the noise module that is used to generate the output values.

Returns:
  A reference to the noise module.

Precondition:
  A noise module was passed to the SetModule() method.

double Cylinder::GetValue | ( | double | angle,
|  | double | height
| ) | const

Returns the output value from the noise module given the (angle, height) coordinates of the specified input value located on the surface of the cylinder.

Parameters:

  | angle | The angle around the cylinder's center, in degrees.
  | height | The height along the y axis.

Returns:
  The output value from the noise module.

Precondition:
  A noise module was passed to the SetModule() method.

This output value is generated by the noise module passed to the SetModule() method.

This cylinder has a radius of 1.0 unit and has infinite height. It is oriented along the y axis. Its center is located at the origin.

void noise::model::Cylinder::SetModule | ( | const module::Module & | module | ) | `[inline]`

Sets the noise module that is used to generate the output values.

Parameters:

  | module | The noise module that is used to generate the output values.

This noise module must exist for the lifetime of this object, until you pass a new noise module to this method.

The documentation for this class was generated from the following files:

- cylinder.h
- cylinder.cpp